# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Extract.pm) perl(Compress/Zlib.pm) perl(Crypt/DES.pm) perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy/Recursive.pm) perl(File/Which.pm) perl(HTTP/Daemon.pm) perl(HTTP/Proxy.pm) perl(HTTP/Server/Simple.pm) perl(HTTP/Server/Simple/Authen.pm) perl(IO/Capture/Stderr.pm) perl(IO/Socket/SSL.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Protocol/https.pm) perl(Module/Install.pm) perl(Net/CUPS.pm) perl(Net/IP.pm) perl(Net/NBName.pm) perl(Net/SNMP.pm) perl(Net/Write/Layer2.pm) perl(POE/Component/Client/Ping.pm) perl(Parse/EDID.pm) perl(Proc/Daemon.pm) perl(Proc/PID/File.pm) perl(Socket/GetAddrInfo.pm) perl(Test/Compile.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/HTTP/Server/Simple.pm) perl(Test/MockModule.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Text/Template.pm) perl(UNIVERSAL/require.pm) perl(URI/Escape.pm) perl(XML/TreePP.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Task-FusionInventory
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: FusionInventory Agent development dependencies
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GROUSSE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Installing this module will install all the modules needed for FusionInventory
Agent development.

The following modules are installed everyhwere:

=over

=item * Archive::Extract

=item * Compress::Zlib

=item * Crypt::DES

=item * Digest::MD5

=item * Digest::SHA

=item * File::Copy::Recursive

=item * File::Which

=item * HTTP::Daemon

=item * HTTP::Proxy

=item * HTTP::Server::Simple

=item * HTTP::Server::Simple::Authen

=item * IO::Capture::Stderr

=item * IO::Socket::SSL

=item * IPC::Run

=item * JSON

=item * LWP

=item * LWP::Protocol::https

=item * Module::Install

=item * Net::IP

=item * Net::NBName

=item * Net::SNMP

=item * Net::Write::Layer2

=item * Parse::EDID

=item * POE::Component::Client::Ping

=item * Socket::GetAddrInfo

=item * Test::Compile

=item * Test::Deep

=item * Test::Exception

=item * Test::HTTP::Server::Simple

=item * Test::MockModule

=item * Test::MockObject

=item * Test::More

=item * Test::NoWarnings

=item * Text::Template

=item * UNIVERSAL::require

=item * URI::Escape

=item * XML::TreePP

=back

The following modules are installed on Win32 systems only:

=over

=item * Win32::Daemon

=item * Win32::Job

=item * Win32::OLE

=item * Win32::TieRegistry

=back

The following modules are installed on non-Win32 systems only:

=over

=item * Net::CUPS

=item * Proc::Daemon

=item * Proc::PID::File

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/T*

%changelog
* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

